/* nename.h: this header file was produced automatically by
 * the ./mktbls program, based on input from the file ./cmdtbl
 */
#include <blist.h>

extern BLIST blist_nametbl;
extern BLIST blist_glbstbl;

#ifdef real_NAMETBL

EXTERN_CONST NTAB nametbl[] = {
#if (OPT_SHELL)
	{ "!",				&f_operfilter },
	{ "!!",				&f_respawn },
#endif
	{ "#",				&f_opernumber },
	{ "&",				&f_opersubstagain },
	{ "*",				&f_togglelistbuffers },
	{ ":",				&f_namedcmd },
	{ "<",				&f_operlshift },
	{ "=",				&f_showlength },
	{ ">",				&f_operrshift },
	{ "B",				&f_edit_buffer },
	{ "E",				&f_filefind },
	{ "L",				&f_operlower },
#if (!SMALLER)
	{ "P",				&f_prevbuffer },
#endif
	{ "Put",			&f_lineputbefore },
	{ "Q",				&f_quit },
	{ "Q!",				&f_quithard },
	{ "U",				&f_operupper },
	{ "W",				&f_operwrite },
	{ "WQ",				&f_writequit },
	{ "Wq",				&f_writequit },
#if (OPT_ENCRYPT)
	{ "X",				&f_vl_setkey },
#endif
	{ "_",				&f_histbuff },
	{ "a",				&f_opendown },
	{ "a!",				&f_append_i },
	{ "abbreviate",			&f_abbrev },
#if (!FEWNAMES)
	{ "abort-command",		&f_esc_func },
	{ "alternate-buffer",		&f_altbuff },
	{ "append-chars",		&f_append },
	{ "append-chars-at-eol",	&f_appendeol },
	{ "append-indented-chars",	&f_append_i },
#endif
#if (!SMALLER)
	{ "append-number",		&f_appnumber },
	{ "append-string",		&f_appstring },
#endif
#if (OPT_REBIND)
	{ "apropos",			&f_dessubstr },
#endif
	{ "args",			&f_vl_set_args },
	{ "args!",			&f_vl_set_args2 },
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "attribute-bold-til",		&f_operattrbold },
	{ "attribute-cntl_a-sequences-til", &f_operattrcaseq },
#endif
#if (OPT_SELECTIONS&&OPT_FILTER) && (!FEWNAMES)
	{ "attribute-directly",		&f_operattrdirect },
#endif
#if (OPT_SELECTIONS&&OPT_SHELL) && (!FEWNAMES)
	{ "attribute-from-filter-til",  &f_operattrfilter },
#endif
#if (OPT_HYPERTEXT) && (!FEWNAMES)
	{ "attribute-hypertext-til",	&f_operattrhc },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "attribute-italic-til",	&f_operattrital },
	{ "attribute-normal-til",	&f_operattrno },
	{ "attribute-reverse-til",	&f_operattrrev },
	{ "attribute-underline-til",	&f_operattrul },
#endif
	{ "b",				&f_usebuffer },
#if (!FEWNAMES)
	{ "back-half-page",		&f_backhpage },
	{ "back-line",			&f_backline },
	{ "back-line-at-bol",		&f_backbline },
	{ "back-page",			&f_backpage },
	{ "back-paragraph",		&f_gotobop },
	{ "back-punctuated-word",	&f_backviword },
	{ "back-section",		&f_gotobosec },
	{ "back-sentence",		&f_gotobosent },
	{ "back-word",			&f_backword },
	{ "backward-char-scan",		&f_bcsrch },
	{ "backward-char-scan-to",	&f_bcsrch_to },
	{ "backward-character",		&f_backchar },
	{ "backward-character-to-bol",  &f_backchar_to_bol },
	{ "backward-row",		&f_back_row },
#endif
#if (!SMALLER)
	{ "beep",			&f_userbeep },
#endif
#if (!FEWNAMES)
	{ "begin-keyboard-macro",	&f_kbd_mac_startstop },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "beginning-of-file",		&f_gotobob },
#endif
#if (!FEWNAMES)
	{ "beginning-of-line",		&f_gotobol },
	{ "beginning-of-screen",	&f_gotobos },
#endif
#if (OPT_REBIND)
	{ "bind-cmdmode-key",		&f_bind_c_key },
	{ "bind-insmode-key",		&f_bind_i_key },
	{ "bind-key",			&f_bindkey },
	{ "bind-selmode-key",		&f_bind_s_key },
#endif
	{ "blank",			&f_operblank },
	{ "blank-region",		&f_operblank },
#if (!FEWNAMES)
	{ "bol",			&f_gotobol },
#endif
	{ "buffer",			&f_usebuffer },
#if (!FEWNAMES)
	{ "buffer-length",		&f_showlength },
#endif
	{ "c",				&f_operchg },
#if (!SMALLER)
	{ "c!",				&f_operchg_i },
#endif
#if (OPT_SHELL) && (!FEWNAMES)
	{ "capture-command",		&f_capturecmd },
#endif
#if (OPT_SHELL)
	{ "cd",				&f_vl_chdir },
#endif
	{ "ch",				&f_operlinechg },
#if (!FEWNAMES)
	{ "change-char",		&f_chgchar },
#endif
#if (OPT_SHELL)
	{ "change-directory",		&f_vl_chdir },
#endif
#if (!FEWNAMES)
	{ "change-file-name",		&f_vl_filename },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "change-indented-chars",	&f_operchg_i },
#endif
#if (!FEWNAMES)
	{ "change-line",		&f_chgline },
	{ "change-lines-til",		&f_operlinechg },
	{ "change-til",			&f_operchg },
	{ "change-to-eol",		&f_chgtoeol },
	{ "clear-and-redraw",		&f_vile_refresh },
#endif
#if (OPT_SELECTIONS)
	{ "clear-attributes-til",	&f_operattrno },
#endif
#if (!FEWNAMES)
	{ "clear-message-line",		&f_clrmes },
#endif
#if (OPT_HILITEMATCH)
	{ "clear-visual-matches",	&f_clear_match_attrs },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "close-windows",		&f_popdown_buffer },
#endif
	{ "cntl_a-prefix",		&f_cntl_a_func },
	{ "cntl_x-prefix",		&f_cntl_x_func },
	{ "co",				&f_opercopy },
#if (OPT_FINDERR)
	{ "compile-error-expressions",  &f_comp_err_exps },
#endif
#if (!FEWNAMES)
	{ "continue-search",		&f_consearch },
#endif
	{ "copy-til",			&f_opercopy },
#if (DISP_X11)
	{ "copy-to-clipboard",		&f_copy_to_clipboard },
#endif
#if (SYS_WINNT)
	{ "copy-to-clipboard-til",	&f_opercbrdcpy },
	{ "copy-unnamed-reg-to-clipboard", &f_cbrdcpy_unnamed },
#endif
#if (OPT_WORDCOUNT)
	{ "count-words",		&f_wordcount },
#endif
#if (SYS_WINNT)
	{ "cut-to-clipboard",		&f_cbrdcut },
#endif
	{ "d",				&f_operlinedel },
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "decode-attributes-til",	&f_operattrcaseq },
#endif
#if (OPT_COLOR_SCHEMES)
	{ "define-color-scheme",	&f_define_color_scm },
#endif
#if (OPT_MAJORMODE)
	{ "define-majormode",		&f_define_mode },
#endif
#if (OPT_MENUS)
	{ "define-menu-entry",		&f_vlmenu_entry },
#endif
#if (OPT_MAJORMODE)
	{ "define-mode",		&f_define_mode },
	{ "define-submode",		&f_define_submode },
#endif
#if (!FEWNAMES)
	{ "delete-and-insert-chars-til", &f_operchg },
	{ "delete-blank-lines",		&f_forceblank },
	{ "delete-buffer",		&f_killbuffer },
	{ "delete-char-and-insert-chars", &f_chgchar },
#endif
#if (OPT_SHOW_CTYPE) && (!FEWNAMES)
	{ "delete-char-class",		&f_unset_charclass },
#endif
#if (!FEWNAMES)
	{ "delete-global-mode",		&f_delglobmode },
	{ "delete-line-and-insert-chars", &f_chgline },
	{ "delete-lines-and-insert-chars-til", &f_operlinechg },
	{ "delete-lines-til",		&f_operlinedel },
	{ "delete-mode",		&f_dellocmode },
	{ "delete-next-character",	&f_forwdelchar },
	{ "delete-other-windows",	&f_onlywind },
	{ "delete-previous-character",  &f_backdelchar },
#endif
#if (SYS_WINNT)
	{ "delete-text-selection",	&f_windeltxtsel },
#endif
#if (!FEWNAMES)
	{ "delete-til",			&f_operdel },
	{ "delete-to-eol",		&f_deltoeol },
	{ "delete-to-eol-and-insert-chars", &f_chgtoeol },
	{ "delete-window",		&f_delwind },
#endif
#if (OPT_EVAL)
	{ "describe-$variables",	&f_des_dlr_vars },
	{ "describe-&functions",	&f_des_amp_funcs },
#endif
#if (OPT_REBIND)
	{ "describe-bindings",		&f_desbind },
	{ "describe-cmdmode-bindings",  &f_des_c_bind },
	{ "describe-cmdmode-key",	&f_des_c_key },
	{ "describe-function",		&f_desfunc },
	{ "describe-globals",		&f_desglobals },
	{ "describe-insmode-bindings",  &f_des_i_bind },
	{ "describe-insmode-key",	&f_des_i_key },
	{ "describe-key",		&f_deskey },
	{ "describe-motions",		&f_desmotions },
	{ "describe-operators",		&f_desopers },
	{ "describe-selmode-bindings",  &f_des_s_bind },
	{ "describe-selmode-key",	&f_des_s_key },
#endif
#if (!FEWNAMES)
	{ "detab-lines-til",		&f_operdetab },
#endif
#if (OPT_SHELL)
	{ "dirs",			&f_vl_dirs },
	{ "dirs-add",			&f_vl_dirs_add },
	{ "dirs-clear",			&f_vl_dirs_clear },
#endif
#if (!FEWNAMES)
	{ "do-nothing",			&f_nullproc },
	{ "down-arrow",			&f_forwline },
	{ "down-half-page",		&f_forwhpage },
	{ "down-line",			&f_forwline },
	{ "down-line-at-bol",		&f_forwbline },
	{ "down-page",			&f_forwpage },
	{ "down-paragraph",		&f_gotoeop },
	{ "down-section",		&f_gotoeosec },
	{ "down-sentence",		&f_gotoeosent },
#endif
	{ "e",				&f_filefind },
	{ "e!",				&f_fileread },
#if (!FEWNAMES)
	{ "edit-buffer",		&f_edit_buffer },
	{ "edit-file",			&f_filefind },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "encode-attributes-til",	&f_operattrencode },
#endif
#if (!FEWNAMES)
	{ "end-keyboard-macro",		&f_kbd_mac_startstop },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "end-of-file",		&f_gotoeob },
#endif
#if (!FEWNAMES)
	{ "end-of-line",		&f_gotoeol },
	{ "end-of-screen",		&f_gotoeos },
	{ "entab-lines-til",		&f_operentab },
	{ "eol",			&f_gotoeol },
#endif
#if (OPT_FINDERR)
	{ "error-buffer",		&f_finderrbuf },
#endif
#if (OPT_EVAL)
	{ "eval",			&f_evaluate },
#endif
	{ "ex",				&f_ex },
#if (!SMALLER) && (!FEWNAMES)
	{ "execute-buffer",		&f_execbuf },
#endif
#if (!FEWNAMES)
	{ "execute-file",		&f_execfile },
#endif
#if (OPT_HYPERTEXT) && (!FEWNAMES)
	{ "execute-hypertext-command",  &f_exechypercmd },
#endif
#if (!FEWNAMES)
	{ "execute-keyboard-macro",	&f_kbd_mac_exec },
#endif
#if (OPT_EXEC_MACROS>0) && (!FEWNAMES)
	{ "execute-macro-1",		&f_cbuf1 },
#endif
#if (OPT_EXEC_MACROS>9) && (!FEWNAMES)
	{ "execute-macro-10",		&f_cbuf10 },
#endif
#if (OPT_EXEC_MACROS>10) && (!FEWNAMES)
	{ "execute-macro-11",		&f_cbuf11 },
#endif
#if (OPT_EXEC_MACROS>11) && (!FEWNAMES)
	{ "execute-macro-12",		&f_cbuf12 },
#endif
#if (OPT_EXEC_MACROS>12) && (!FEWNAMES)
	{ "execute-macro-13",		&f_cbuf13 },
#endif
#if (OPT_EXEC_MACROS>13) && (!FEWNAMES)
	{ "execute-macro-14",		&f_cbuf14 },
#endif
#if (OPT_EXEC_MACROS>14) && (!FEWNAMES)
	{ "execute-macro-15",		&f_cbuf15 },
#endif
#if (OPT_EXEC_MACROS>15) && (!FEWNAMES)
	{ "execute-macro-16",		&f_cbuf16 },
#endif
#if (OPT_EXEC_MACROS>16) && (!FEWNAMES)
	{ "execute-macro-17",		&f_cbuf17 },
#endif
#if (OPT_EXEC_MACROS>17) && (!FEWNAMES)
	{ "execute-macro-18",		&f_cbuf18 },
#endif
#if (OPT_EXEC_MACROS>18) && (!FEWNAMES)
	{ "execute-macro-19",		&f_cbuf19 },
#endif
#if (OPT_EXEC_MACROS>1) && (!FEWNAMES)
	{ "execute-macro-2",		&f_cbuf2 },
#endif
#if (OPT_EXEC_MACROS>19) && (!FEWNAMES)
	{ "execute-macro-20",		&f_cbuf20 },
#endif
#if (OPT_EXEC_MACROS>20) && (!FEWNAMES)
	{ "execute-macro-21",		&f_cbuf21 },
#endif
#if (OPT_EXEC_MACROS>21) && (!FEWNAMES)
	{ "execute-macro-22",		&f_cbuf22 },
#endif
#if (OPT_EXEC_MACROS>22) && (!FEWNAMES)
	{ "execute-macro-23",		&f_cbuf23 },
#endif
#if (OPT_EXEC_MACROS>23) && (!FEWNAMES)
	{ "execute-macro-24",		&f_cbuf24 },
#endif
#if (OPT_EXEC_MACROS>24) && (!FEWNAMES)
	{ "execute-macro-25",		&f_cbuf25 },
#endif
#if (OPT_EXEC_MACROS>25) && (!FEWNAMES)
	{ "execute-macro-26",		&f_cbuf26 },
#endif
#if (OPT_EXEC_MACROS>26) && (!FEWNAMES)
	{ "execute-macro-27",		&f_cbuf27 },
#endif
#if (OPT_EXEC_MACROS>27) && (!FEWNAMES)
	{ "execute-macro-28",		&f_cbuf28 },
#endif
#if (OPT_EXEC_MACROS>28) && (!FEWNAMES)
	{ "execute-macro-29",		&f_cbuf29 },
#endif
#if (OPT_EXEC_MACROS>2) && (!FEWNAMES)
	{ "execute-macro-3",		&f_cbuf3 },
#endif
#if (OPT_EXEC_MACROS>29) && (!FEWNAMES)
	{ "execute-macro-30",		&f_cbuf30 },
#endif
#if (OPT_EXEC_MACROS>30) && (!FEWNAMES)
	{ "execute-macro-31",		&f_cbuf31 },
#endif
#if (OPT_EXEC_MACROS>31) && (!FEWNAMES)
	{ "execute-macro-32",		&f_cbuf32 },
#endif
#if (OPT_EXEC_MACROS>32) && (!FEWNAMES)
	{ "execute-macro-33",		&f_cbuf33 },
#endif
#if (OPT_EXEC_MACROS>33) && (!FEWNAMES)
	{ "execute-macro-34",		&f_cbuf34 },
#endif
#if (OPT_EXEC_MACROS>34) && (!FEWNAMES)
	{ "execute-macro-35",		&f_cbuf35 },
#endif
#if (OPT_EXEC_MACROS>35) && (!FEWNAMES)
	{ "execute-macro-36",		&f_cbuf36 },
#endif
#if (OPT_EXEC_MACROS>36) && (!FEWNAMES)
	{ "execute-macro-37",		&f_cbuf37 },
#endif
#if (OPT_EXEC_MACROS>37) && (!FEWNAMES)
	{ "execute-macro-38",		&f_cbuf38 },
#endif
#if (OPT_EXEC_MACROS>38) && (!FEWNAMES)
	{ "execute-macro-39",		&f_cbuf39 },
#endif
#if (OPT_EXEC_MACROS>3) && (!FEWNAMES)
	{ "execute-macro-4",		&f_cbuf4 },
#endif
#if (OPT_EXEC_MACROS>39) && (!FEWNAMES)
	{ "execute-macro-40",		&f_cbuf40 },
#endif
#if (OPT_EXEC_MACROS>40) && (!FEWNAMES)
	{ "execute-macro-41",		&f_cbuf41 },
#endif
#if (OPT_EXEC_MACROS>41) && (!FEWNAMES)
	{ "execute-macro-42",		&f_cbuf42 },
#endif
#if (OPT_EXEC_MACROS>42) && (!FEWNAMES)
	{ "execute-macro-43",		&f_cbuf43 },
#endif
#if (OPT_EXEC_MACROS>43) && (!FEWNAMES)
	{ "execute-macro-44",		&f_cbuf44 },
#endif
#if (OPT_EXEC_MACROS>44) && (!FEWNAMES)
	{ "execute-macro-45",		&f_cbuf45 },
#endif
#if (OPT_EXEC_MACROS>45) && (!FEWNAMES)
	{ "execute-macro-46",		&f_cbuf46 },
#endif
#if (OPT_EXEC_MACROS>46) && (!FEWNAMES)
	{ "execute-macro-47",		&f_cbuf47 },
#endif
#if (OPT_EXEC_MACROS>47) && (!FEWNAMES)
	{ "execute-macro-48",		&f_cbuf48 },
#endif
#if (OPT_EXEC_MACROS>4) && (!FEWNAMES)
	{ "execute-macro-5",		&f_cbuf5 },
#endif
#if (OPT_EXEC_MACROS>5) && (!FEWNAMES)
	{ "execute-macro-6",		&f_cbuf6 },
#endif
#if (OPT_EXEC_MACROS>6) && (!FEWNAMES)
	{ "execute-macro-7",		&f_cbuf7 },
#endif
#if (OPT_EXEC_MACROS>7) && (!FEWNAMES)
	{ "execute-macro-8",		&f_cbuf8 },
#endif
#if (OPT_EXEC_MACROS>8) && (!FEWNAMES)
	{ "execute-macro-9",		&f_cbuf9 },
#endif
#if (!FEWNAMES)
	{ "execute-named-command",	&f_namedcmd },
#endif
#if (OPT_PROCEDURES) && (!FEWNAMES)
	{ "execute-procedure",		&f_execproc },
#endif
	{ "execute-register",		&f_execkreg },
#if (OPT_EVAL) && (!FEWNAMES)
	{ "execute-string",		&f_evaluate },
#endif
	{ "exit",			&f_quit },
	{ "exsource",			&f_vl_source },
	{ "f",				&f_vl_filename },
#if (!SMALLER)
	{ "fb",				&f_for_buffers },
#endif
	{ "file",			&f_vl_filename },
	{ "filename",			&f_vl_filename },
#if (OPT_SHELL) && (!FEWNAMES)
	{ "filter-buffer",		&f_vile_filter },
	{ "filter-til",			&f_operfilter },
#endif
#if (!FEWNAMES)
	{ "find-file",			&f_filefind },
#endif
#if (OPT_FINDERR) && (!FEWNAMES)
	{ "find-next-error",		&f_finderr },
#endif
#if (OPT_FINDERR)
	{ "find-next-error-buffer-name", &f_finderrbuf },
#endif
#if (OPT_TAGS) && (!FEWNAMES)
	{ "find-tag",			&f_gototag },
#endif
#if (!FEWNAMES)
	{ "first-nonwhite",		&f_firstnonwhite },
	{ "flip-character",		&f_flipchar },
	{ "flip-til",			&f_operflip },
#endif
#if (SYS_UNIX)
	{ "flow-control-enable",	&f_flow_control_enable },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "for-buffers",		&f_for_buffers },
#endif
#if (!FEWNAMES)
	{ "force-blank-lines",		&f_forceblank },
	{ "force-set-buffers",		&f_vl_set_args2 },
#endif
#if (OPT_FORMAT) && (!FEWNAMES)
	{ "format-til",			&f_operformat },
#endif
#if (!FEWNAMES)
	{ "forward-char-scan",		&f_fcsrch },
	{ "forward-char-scan-up-to",	&f_fcsrch_to },
	{ "forward-character",		&f_forwchar },
	{ "forward-character-to-eol",	&f_forwchar_to_eol },
	{ "forward-half-page",		&f_forwhpage },
	{ "forward-line",		&f_forwline },
	{ "forward-line-at-bol",	&f_forwbline },
	{ "forward-page",		&f_forwpage },
	{ "forward-paragraph",		&f_gotoeop },
	{ "forward-punctuated-word",	&f_forwviword },
	{ "forward-punctuated-word-end", &f_forwviendw },
	{ "forward-row",		&f_forw_row },
	{ "forward-section",		&f_gotoeosec },
	{ "forward-sentence",		&f_gotoeosent },
	{ "forward-word",		&f_forwword },
	{ "forward-word-end",		&f_forwendw },
#endif
	{ "function-prefix",		&f_poundc_func },
	{ "g",				&f_operglobals },
	{ "g!",				&f_opervglobals },
	{ "global",			&f_operglobals },
	{ "gmodes",			&f_listmodes },
#if (!SMALLER) && (!FEWNAMES)
	{ "goto-beginning-of-file",	&f_gotobob },
#endif
#if (!FEWNAMES)
	{ "goto-beginning-of-screen",	&f_gotobos },
	{ "goto-bol",			&f_gotobol },
#endif
#if (!SMALLER)
	{ "goto-char",			&f_gotochr },
#endif
#if (!FEWNAMES)
	{ "goto-column",		&f_gotocol },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "goto-end-of-file",		&f_gotoeob },
#endif
#if (!FEWNAMES)
	{ "goto-end-of-screen",		&f_gotoeos },
	{ "goto-eol",			&f_gotoeol },
	{ "goto-line",			&f_gotoline },
#endif
#if (OPT_CFENCE) && (!FEWNAMES)
	{ "goto-matching-fence",	&f_matchfence },
	{ "goto-matching-fence-behind", &f_matchfenceback },
#endif
#if (!FEWNAMES)
	{ "goto-middle-of-screen",	&f_gotomos },
	{ "goto-named-mark",		&f_golinenmmark },
	{ "goto-named-mark-exact",	&f_goexactnmmark },
	{ "goto-named-mark-rectangular", &f_gorectnmmark },
#endif
#if (!SMALLER)
	{ "goto-percent",		&f_gotopct },
#endif
#if (!FEWNAMES)
	{ "grow-window",		&f_enlargewind },
#endif
	{ "h",				&f_vl_help },
#if (!FEWNAMES)
	{ "handle-tab",			&f_settab },
#endif
	{ "help",			&f_vl_help },
#if (OPT_MENUS)
	{ "hide-menus",			&f_gui_hide_menus },
#endif
#if (!FEWNAMES)
	{ "historical-buffer",		&f_histbuff },
	{ "historical-buffer-to-current-window", &f_histbuff_to_current_window },
#endif
#if (!SMALLER)
	{ "hunt-backward",		&f_backhunt },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "hunt-forward",		&f_forwhunt },
#endif
	{ "i",				&f_openup },
#if (!SMALLER)
	{ "i!",				&f_openup_i },
#endif
#if (OPT_ISRCH) && (!FEWNAMES)
	{ "incremental-search",		&f_fisearch },
#endif
#if (!FEWNAMES)
	{ "insert-chars",		&f_insert },
	{ "insert-chars-at-bol",	&f_insertbol },
	{ "insert-chars-no-autoindent", &f_insert_no_aindent },
	{ "insert-file",		&f_insfile },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "insert-indented-chars",	&f_openup_i },
#endif
#if (!SMALLER)
	{ "insert-number",		&f_insnumber },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "insert-space",		&f_insspace },
#endif
#if (!SMALLER)
	{ "insert-string",		&f_insstring },
#endif
#if (OPT_SHELL) && (!FEWNAMES)
	{ "interactive-shell",		&f_spawncli },
#endif
	{ "inverse-global",		&f_opervglobals },
	{ "j",				&f_operjoin },
	{ "j!",				&f_operjoin_x },
#if (!FEWNAMES)
	{ "join-exact-lines-til",	&f_operjoin_x },
	{ "join-lines",			&f_joinlines },
	{ "join-lines-til",		&f_operjoin },
#endif
	{ "k",				&f_setnmmark },
	{ "ki",				&f_killbuffer },
#if (!FEWNAMES)
	{ "kill-buffer",		&f_killbuffer },
#endif
	{ "l",				&f_operlist },
#if (!SMALLER) && (!FEWNAMES)
	{ "last-nonwhite",		&f_lastnonwhite },
#endif
#if (!FEWNAMES)
	{ "leading-detab-lines-til",	&f_oper_l_detab },
	{ "leading-entab-lines-til",	&f_oper_l_entab },
#endif
	{ "left-arrow",			&f_backchar_to_bol },
#if (!FEWNAMES)
	{ "list-abbreviations",		&f_abbrev },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-bindings",		&f_desbind },
#endif
#if (!FEWNAMES)
	{ "list-buffers",		&f_listbuffers },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-cmdmode-bindings",	&f_des_c_bind },
#endif
#if (OPT_COLOR_SCHEMES) && (!FEWNAMES)
	{ "list-color-schemes",		&f_desschemes },
#endif
#if (OPT_SHOW_COLORS) && (!FEWNAMES)
	{ "list-colors",		&f_descolors },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-commands",		&f_desbind },
#endif
#if (OPT_REBIND)
	{ "list-commands-apropos-to",	&f_dessubstr },
#endif
#if (OPT_FINDERR) && (!FEWNAMES)
	{ "list-error-expressions",	&f_show_err_regex },
#endif
#if (OPT_EXTRA_COLOR) && (!FEWNAMES)
	{ "list-extra-colors",		&f_show_extra_colors },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-globals",		&f_desglobals },
#endif
	{ "list-help",			&f_vl_help },
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-insmode-bindings",	&f_des_i_bind },
	{ "list-key-names",		&f_des_keynames },
#endif
#if (!FEWNAMES)
	{ "list-lines-til",		&f_operlist },
	{ "list-local-modes",		&f_list_lmodes },
#endif
#if (OPT_MAJORMODE) && (!FEWNAMES)
	{ "list-majormodes",		&f_list_majormodes },
#endif
#if (OPT_SHOW_MARKS) && (!FEWNAMES)
	{ "list-marks",			&f_showmarks },
#endif
#if (!FEWNAMES)
	{ "list-modes",			&f_listmodes },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-motions",		&f_desmotions },
	{ "list-operators",		&f_desopers },
#endif
#if (OPT_SHOW_REGS) && (!FEWNAMES)
	{ "list-registers",		&f_showkreg },
#endif
#if (OPT_REBIND) && (!FEWNAMES)
	{ "list-selmode-bindings",	&f_des_s_bind },
#endif
#if (OPT_SHOW_TAGS) && (!FEWNAMES)
	{ "list-tagstack",		&f_showtagstack },
#endif
#if (OPT_REBIND&&OPT_TERMCHRS) && (!FEWNAMES)
	{ "list-terminal-chars",	&f_show_termchrs },
#endif
#if (!SMALLER) && (!FEWNAMES)
	{ "list-undo-stack",		&f_show_undostk },
#endif
#if (OPT_SHOW_EVAL) && (!FEWNAMES)
	{ "list-variables",		&f_listvars },
#endif
	{ "lmodes",			&f_list_lmodes },
#if (OPT_MENUS)
	{ "load-menus",			&f_vlmenu_load },
#endif
#if (OPT_PLUGIN)
	{ "load-plugin",		&f_loadplugin },
#endif
	{ "load-register",		&f_loadkreg },
#if (!FEWNAMES)
	{ "lower-til",			&f_operlower },
#endif
	{ "m",				&f_opermove },
	{ "map",			&f_map },
	{ "map!",			&f_map_bang },
#if (OPT_SHOW_MARKS)
	{ "marks",			&f_showmarks },
#endif
#if (SYS_MSDOS&&(CC_TURBO||CC_WATCOM||CC_DJGPP))
	{ "memory",			&f_showmemory },
#endif
#if (!FEWNAMES)
	{ "middle-of-screen",		&f_gotomos },
#endif
	{ "modes",			&f_listmodes },
#if (!FEWNAMES)
	{ "move-next-window-down",	&f_mvdnnxtwind },
	{ "move-next-window-up",	&f_mvupnxtwind },
#endif
	{ "move-til",			&f_opermove },
#if (!FEWNAMES)
	{ "move-window-down",		&f_mvdnwind },
	{ "move-window-left",		&f_mvleftwind },
	{ "move-window-right",		&f_mvrightwind },
	{ "move-window-up",		&f_mvupwind },
#endif
	{ "n",				&f_nextbuffer },
	{ "n!",				&f_nextbuffer },
	{ "new-process-group",		&f_newprocessgroup },
#if (!SMALLER)
	{ "newline",			&f_newline },
#endif
#if (!FEWNAMES)
	{ "next-buffer",		&f_nextbuffer },
	{ "next-character",		&f_forwchar },
	{ "next-character-to-eol",	&f_forwchar_to_eol },
	{ "next-half-page",		&f_forwhpage },
	{ "next-line",			&f_forwline },
	{ "next-line-at-bol",		&f_forwbline },
	{ "next-page",			&f_forwpage },
	{ "next-paragraph",		&f_gotoeop },
	{ "next-punctuated-word",	&f_forwviword },
	{ "next-punctuated-word-end",	&f_forwviendw },
	{ "next-row",			&f_forw_row },
	{ "next-section",		&f_gotoeosec },
	{ "next-sentence",		&f_gotoeosent },
#endif
#if (OPT_TAGS) && (!FEWNAMES)
	{ "next-tag",			&f_nexttag },
#endif
#if (!FEWNAMES)
	{ "next-window",		&f_nextwind },
	{ "next-word",			&f_forwword },
	{ "next-word-end",		&f_forwendw },
	{ "nop",			&f_nullproc },
#endif
	{ "noremap",			&f_noremap },
	{ "noremap!",			&f_noremap_bang },
	{ "nu",				&f_opernumber },
#if (!FEWNAMES)
	{ "number-lines-til",		&f_opernumber },
#endif
#if (VILE_NEVER)
	{ "oglobals",			&f_globals },
#endif
#if (!FEWNAMES)
	{ "open-line-above-and-insert-chars", &f_openup },
	{ "open-line-above-no-autoindent", &f_openup_no_aindent },
	{ "open-line-below-and-append-chars", &f_opendown },
	{ "open-line-below-no-autoindent", &f_opendown_no_aindent },
#endif
	{ "open-rectangle",		&f_operopenrect },
#if (!SMALLER) && (!FEWNAMES)
	{ "open-window",		&f_popup_buffer },
#endif
	{ "other-buffer-rename",	&f_name_a_buffer },
#if (!FEWNAMES)
	{ "overwrite-chars",		&f_overwritechars },
#endif
#if (!SMALLER)
	{ "overwrite-number",		&f_overwnumber },
	{ "overwrite-string",		&f_overwstring },
#endif
#if (VILE_NEVER)
	{ "ovglobals",			&f_vglobals },
#endif
	{ "p",				&f_operprint },
#if (DISP_X11)
	{ "paste-from-clipboard",	&f_paste_from_clipboard },
#endif
#if (SYS_WINNT)
	{ "paste-from-clipboard",	&f_cbrdpaste },
#endif
#if (DISP_X11)
	{ "paste-from-primary",		&f_paste_from_primary },
#endif
#if (OPT_PERL)
	{ "perl",			&f_perl },
	{ "perldo",			&f_perldo },
	{ "perldo-til",			&f_perldo },
#endif
#if (OPT_SHELL) && (!FEWNAMES)
	{ "pipe-command",		&f_capturecmd },
#endif
#if (OPT_TAGS)
	{ "pop",			&f_untagpop },
#endif
#if (OPT_SHELL)
	{ "popd",			&f_popd },
#endif
#if (!SMALLER)
	{ "popdown-buffer",		&f_popdown_buffer },
	{ "popup-buffer",		&f_popup_buffer },
#endif
#if (!FEWNAMES)
	{ "position",			&f_showcpos },
	{ "position-window",		&f_poswind },
#endif
	{ "pp",				&f_operpprint },
#if (!SMALLER) && (!FEWNAMES)
	{ "previous-buffer",		&f_prevbuffer },
#endif
#if (!FEWNAMES)
	{ "previous-half-page",		&f_backhpage },
	{ "previous-line",		&f_backline },
	{ "previous-line-at-bol",	&f_backbline },
	{ "previous-page",		&f_backpage },
	{ "previous-paragraph",		&f_gotobop },
	{ "previous-punctuated-word",	&f_backviword },
	{ "previous-row",		&f_back_row },
	{ "previous-section",		&f_gotobosec },
	{ "previous-sentence",		&f_gotobosent },
	{ "previous-window",		&f_prevwind },
	{ "previous-word",		&f_backword },
#endif
#if (OPT_SHELL)
	{ "print-directory",		&f_pwd },
#endif
#if (!FEWNAMES)
	{ "print-lines-til",		&f_operprint },
	{ "print-prefixed-lines-til",	&f_operpprint },
#endif
#if (SYS_WINNT)
	{ "purge-recent-files",		&f_purge_recent_files },
	{ "purge-recent-folders",	&f_purge_recent_folders },
#endif
#if (OPT_SHELL)
	{ "pushd",			&f_pushd },
#endif
	{ "put",			&f_lineputafter },
#if (!FEWNAMES)
	{ "put-after",			&f_putafter },
	{ "put-as-lines-after",		&f_lineputafter },
	{ "put-as-lines-before",	&f_lineputbefore },
	{ "put-as-rectangle-after",	&f_rectputafter },
	{ "put-as-rectangle-before",	&f_rectputbefore },
	{ "put-before",			&f_putbefore },
#endif
#if (OPT_SHELL)
	{ "pwd",			&f_pwd },
#endif
	{ "q",				&f_quit },
	{ "q!",				&f_quithard },
#if (!FEWNAMES)
	{ "quick-exit",			&f_quickexit },
#endif
	{ "quit",			&f_quit },
	{ "quit-without-save",		&f_quithard },
#if (!FEWNAMES)
	{ "quote-next-character",	&f_quote_next },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "quoted-fullline-motion",	&f_multimotionfullline },
	{ "quoted-motion",		&f_multimotion },
	{ "quoted-rectangular-motion",  &f_multimotionrectangle },
#endif
	{ "r",				&f_insfile },
	{ "rPut",			&f_rectputbefore },
#if (!FEWNAMES)
	{ "read-file",			&f_insfile },
#endif
#if (OPT_REBIND)
	{ "rebind-cmdmode-key",		&f_bind_c_key },
	{ "rebind-insmode-key",		&f_bind_i_key },
	{ "rebind-key",			&f_bindkey },
	{ "rebind-selmode-key",		&f_bind_s_key },
#endif
#if (!FEWNAMES)
	{ "redo-changes-forward",	&f_forwredo },
#endif
#if (!SMALLER)
	{ "redraw-display",		&f_reposition },
#endif
#if (OPT_MAJORMODE)
	{ "remove-majormode",		&f_remove_mode },
#endif
#if (OPT_MENUS)
	{ "remove-menus",		&f_gui_remove_menus },
#endif
#if (OPT_MAJORMODE)
	{ "remove-mode",		&f_remove_mode },
#endif
#if (OPT_COLOR_SCHEMES)
	{ "remove-scheme",		&f_remove_scheme },
#endif
#if (OPT_MAJORMODE)
	{ "remove-submode",		&f_remove_submode },
#endif
	{ "rename-buffer",		&f_namebuffer },
#if (!FEWNAMES)
	{ "repeat-char-scan",		&f_rep_csrch },
	{ "repeat-last-cmd",		&f_dotcmdplay },
	{ "repeat-undo-change",		&f_inf_undo },
	{ "replace-character",		&f_replacechar },
	{ "replace-with-file",		&f_fileread },
#endif
#if (OPT_SHELL) && (!FEWNAMES)
	{ "rerun-shell-command",	&f_respawn },
#endif
#if (OPT_SHOW_CTYPE)
	{ "reset-char-classes",		&f_reset_charclasses },
#endif
#if (OPT_MAJORMODE)
	{ "reset-majormode",		&f_reset_majormode },
#endif
#if (SYS_WINNT&&DISP_NTWIN)
	{ "reset-rgb-palette",		&f_ResetRGBPalette },
#endif
#if (!SMALLER)
	{ "resize-window",		&f_resize },
	{ "restore-window",		&f_restwnd },
#endif
#if (!FEWNAMES)
	{ "reverse-char-scan",		&f_rev_csrch },
#endif
#if (OPT_ISRCH) && (!FEWNAMES)
	{ "reverse-incremental-search", &f_risearch },
#endif
#if (!FEWNAMES)
	{ "reverse-search",		&f_revsearch },
#endif
	{ "rew!",			&f_firstbuffer },
	{ "rewind",			&f_firstbuffer },
	{ "right-arrow",		&f_forwchar_to_eol },
	{ "rput",			&f_rectputafter },
#if (OPT_PROCEDURES)
	{ "run",			&f_execproc },
#endif
	{ "s",				&f_opersubst },
#if (!SMALLER)
	{ "save-file",			&f_filesave },
	{ "save-file!",			&f_filesave },
#endif
	{ "save-keyboard-macro",	&f_kbd_mac_save },
#if (!SMALLER)
	{ "save-window",		&f_savewnd },
#endif
	{ "screen-columns",		&f_newwidth },
	{ "screen-rows",		&f_newlength },
#if (!FEWNAMES)
	{ "screen-search-forward",	&f_scrforwsearch },
	{ "screen-search-pattern-grab", &f_scrsearchpat },
	{ "screen-search-reverse",	&f_scrbacksearch },
	{ "scroll-next-window-down",	&f_scrnextdw },
	{ "scroll-next-window-up",	&f_scrnextup },
#endif
	{ "se",				&f_setglobmode },
#if (!FEWNAMES)
	{ "search-forward",		&f_forwsearch },
	{ "search-reverse",		&f_backsearch },
#endif
#if (OPT_SELECTIONS&&OPT_SEL_YANK) && (!FEWNAMES)
	{ "select-all",			&f_sel_all },
#endif
#if (!FEWNAMES)
	{ "select-buffer",		&f_usebuffer },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "select-til",			&f_operselect },
#endif
#if (OPT_SELECTIONS)
	{ "selection",			&f_sel_motion },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "selection-clear",		&f_sel_clear },
#endif
	{ "set",			&f_setglobmode },
#if (!FEWNAMES)
	{ "set-buffers",		&f_vl_set_args },
#endif
#if (OPT_SHOW_CTYPE)
	{ "set-char-class",		&f_set_charclass },
#endif
#if (OPT_ENCRYPT)
	{ "set-crypt-key",		&f_vl_setkey },
#endif
#if (OPT_DOSFILES)
	{ "set-dos-mode",		&f_set_rs_crlf },
#endif
#if (OPT_SHELL&&defined(HAVE_PUTENV))
	{ "set-environment-variable",	&f_set_envvar },
#endif
#if (OPT_EXTRA_COLOR)
	{ "set-extra-colors",		&f_set_extra_colors },
#endif
	{ "set-fill-column",		&f_setfillcol },
	{ "set-global-mode",		&f_setglobmode },
#if (!FEWNAMES)
	{ "set-mode",			&f_setlocmode },
	{ "set-named-mark",		&f_setnmmark },
#endif
#if (SYS_WINNT&&DISP_NTWIN)
	{ "set-rgb-palette",		&f_SetRGBPalette },
#endif
#if (OPT_DOSFILES)
	{ "set-rs-cr",			&f_set_rs_cr },
	{ "set-rs-crlf",		&f_set_rs_crlf },
	{ "set-rs-lf",			&f_set_rs_lf },
#endif
	{ "set-tab",			&f_settab },
#if (OPT_REBIND&&OPT_TERMCHRS)
	{ "set-terminal",		&f_set_termchrs },
#endif
#if (OPT_DOSFILES)
	{ "set-unix-mode",		&f_set_rs_lf },
#endif
#if (OPT_EVAL)
	{ "set-variable",		&f_setvar },
#endif
#if (!SMALLER)
	{ "set-window",			&f_set_window },
#endif
	{ "setall",			&f_listmodes },
#if (OPT_SHELL&&defined(HAVE_PUTENV))
	{ "setenv",			&f_set_envvar },
#endif
	{ "setg",			&f_setglobmode },
	{ "setgall",			&f_listmodes },
	{ "setgno",			&f_delglobmode },
	{ "setl",			&f_setlocmode },
	{ "setlall",			&f_list_lmodes },
	{ "setlno",			&f_dellocmode },
	{ "setno",			&f_delglobmode },
#if (OPT_EVAL)
	{ "setv",			&f_setvar },
#endif
#if (!SMALLER)
	{ "setw",			&f_set_window },
#endif
#if (OPT_EXTRA_COLOR)
	{ "setxcolors",			&f_set_extra_colors },
#endif
#if (OPT_SHELL)
	{ "sh",				&f_spawncli },
	{ "shell",			&f_spawncli },
#endif
#if (OPT_SHELL) && (!FEWNAMES)
	{ "shell-command",		&f_vl_spawn },
#endif
#if (!FEWNAMES)
	{ "shift-left-til",		&f_operlshift },
	{ "shift-right-til",		&f_operrshift },
#endif
	{ "show-abbreviations",		&f_abbrev },
#if (OPT_REBIND)
	{ "show-bindings",		&f_desbind },
#endif
#if (!FEWNAMES)
	{ "show-buffers",		&f_listbuffers },
#endif
#if (OPT_REBIND)
	{ "show-cmdmode-bindings",	&f_des_c_bind },
#endif
#if (OPT_COLOR_SCHEMES)
	{ "show-color-schemes",		&f_desschemes },
#endif
#if (OPT_SHOW_COLORS)
	{ "show-colors",		&f_descolors },
#endif
#if (OPT_REBIND)
	{ "show-commands",		&f_desbind },
#endif
#if (OPT_FINDERR)
	{ "show-error-expressions",	&f_show_err_regex },
#endif
#if (OPT_EXTRA_COLOR)
	{ "show-extra-colors",		&f_show_extra_colors },
#endif
#if (OPT_REBIND)
	{ "show-function",		&f_desfunc },
#endif
	{ "show-global-modes",		&f_listmodes },
#if (OPT_REBIND)
	{ "show-globals",		&f_desglobals },
#endif
	{ "show-help",			&f_vl_help },
#if (OPT_HISTORY)
	{ "show-history",		&f_showhistory },
#endif
#if (OPT_HYPERTEXT) && (!FEWNAMES)
	{ "show-hypertext-command",	&f_showhypercmd },
#endif
#if (OPT_REBIND)
	{ "show-insmode-bindings",	&f_des_i_bind },
	{ "show-key-names",		&f_des_keynames },
#endif
	{ "show-local-modes",		&f_list_lmodes },
#if (OPT_MAJORMODE)
	{ "show-majormodes",		&f_list_majormodes },
#endif
	{ "show-mapped!-chars",		&f_map_bang },
	{ "show-mapped-chars",		&f_map },
#if (OPT_SHOW_MARKS)
	{ "show-marks",			&f_showmarks },
#endif
#if (OPT_MENUS)
	{ "show-menus",			&f_gui_show_menus },
#endif
	{ "show-modes",			&f_listmodes },
#if (OPT_REBIND)
	{ "show-motions",		&f_desmotions },
	{ "show-operators",		&f_desopers },
#endif
#if (OPT_SHOW_CTYPE)
	{ "show-printable",		&f_desprint },
#endif
#if (OPT_SHOW_REGS)
	{ "show-registers",		&f_showkreg },
#endif
#if (OPT_REBIND)
	{ "show-selmode-bindings",	&f_des_s_bind },
#endif
#if (OPT_SHOW_MAPS)
	{ "show-system-mapped-chars",	&f_sysmap },
#endif
#if (OPT_SHOW_TAGS)
	{ "show-tagstack",		&f_showtagstack },
#endif
#if (OPT_REBIND&&OPT_TERMCHRS)
	{ "show-terminal-chars",	&f_show_termchrs },
#endif
#if (!SMALLER)
	{ "show-undo-stack",		&f_show_undostk },
#endif
#if (OPT_SHOW_EVAL)
	{ "show-variables",		&f_listvars },
#endif
#if (OPT_SHOW_CTYPE&&OPT_MULTIBYTE)
	{ "show-wide-printable",	&f_deswprint },
#endif
	{ "showgmodes",			&f_listmodes },
	{ "showlmodes",			&f_list_lmodes },
	{ "showmodes",			&f_listmodes },
#if (OPT_SHOW_REGS) && (!FEWNAMES)
	{ "showregisters",		&f_showkreg },
#endif
#if (OPT_SHOW_EVAL) && (!FEWNAMES)
	{ "showvars",			&f_listvars },
#endif
#if (!FEWNAMES)
	{ "shrink-window",		&f_shrinkwind },
#endif
	{ "source",			&f_execfile },
#if (!FEWNAMES)
	{ "split-current-window",	&f_splitwind },
#endif
#if (OPT_SHELL)
	{ "stop",			&f_bktoshell },
	{ "stop!",			&f_bktoshell },
#endif
	{ "store-macro",		&f_store_macro },
#if (OPT_PROCEDURES)
	{ "store-operator",		&f_store_op },
	{ "store-procedure",		&f_store_proc },
#endif
#if (!FEWNAMES)
	{ "stuttered-write-all-and-quit", &f_zzquit },
	{ "substitute-again",		&f_subst_again },
	{ "substitute-again-til",	&f_opersubstagain },
	{ "substitute-all-til",		&f_opersubstall },
	{ "substitute-til",		&f_opersubst },
#endif
#if (OPT_SHELL)
	{ "suspend",			&f_bktoshell },
	{ "suspend!",			&f_bktoshell },
#endif
#if (SYS_WINNT)
	{ "swap-clipboard-keys",	&f_swapcbrdkeys },
#endif
#if (SYS_WINNT&&defined(VILE_OLE))
	{ "sync-file",			&f_syncfile },
#endif
	{ "t",				&f_opertransf },
#if (OPT_TAGS)
	{ "ta",				&f_gototag },
	{ "tag",			&f_gototag },
#endif
#if (OPT_TAGS) && (!FEWNAMES)
	{ "tag-pop",			&f_untagpop },
#endif
#if (OPT_SHOW_TAGS) && (!FEWNAMES)
	{ "tags",			&f_showtagstack },
#endif
#if (OPT_SHOW_TAGS)
	{ "tagstack",			&f_showtagstack },
#endif
#if (!FEWNAMES)
	{ "toggle-buffer-list",		&f_togglelistbuffers },
#endif
	{ "transfer-til",		&f_opertransf },
#if (!SMALLER) && (!FEWNAMES)
	{ "transpose-characters",	&f_twiddle },
#endif
	{ "trim",			&f_opertrim },
#if (!FEWNAMES)
	{ "trim-lines-til",		&f_opertrim },
#endif
	{ "unabbreviate",		&f_unabbr },
#if (OPT_REBIND)
	{ "unbind-cmdmode-key",		&f_unbind_c_key },
	{ "unbind-insmode-key",		&f_unbind_i_key },
	{ "unbind-key",			&f_unbindkey },
	{ "unbind-selmode-key",		&f_unbind_s_key },
#endif
#if (!FEWNAMES)
	{ "undo-change",		&f_undo },
	{ "undo-changes-backward",	&f_backundo },
	{ "undo-line-changes",		&f_lineundo },
	{ "unimplemented-command",	&f_unimpl },
	{ "universal-argument",		&f_reptc_func },
#endif
	{ "unmap",			&f_unmap },
	{ "unmap!",			&f_unmap_bang },
	{ "unmap-system-chars",		&f_unmap_system },
	{ "unmark-buffer",		&f_unmark },
	{ "unset",			&f_delglobmode },
#if (OPT_SHOW_CTYPE)
	{ "unset-char-class",		&f_unset_charclass },
#endif
#if (OPT_EVAL)
	{ "unset-variable",		&f_unsetvar },
#endif
	{ "unsetg",			&f_delglobmode },
	{ "unsetl",			&f_dellocmode },
#if (OPT_EVAL)
	{ "unsetv",			&f_unsetvar },
#endif
#if (!FEWNAMES)
	{ "up-arrow",			&f_backline },
	{ "up-half-page",		&f_backhpage },
	{ "up-line",			&f_backline },
	{ "up-line-at-bol",		&f_backbline },
	{ "up-paragraph",		&f_gotobop },
	{ "up-section",			&f_gotobosec },
	{ "up-sentence",		&f_gotobosent },
#endif
#if (!SMALLER)
	{ "update-screen",		&f_upscreen },
#endif
#if (!FEWNAMES)
	{ "upper-til",			&f_operupper },
	{ "use-register",		&f_usekreg },
#endif
	{ "v",				&f_opervglobals },
	{ "v!",				&f_operglobals },
	{ "version",			&f_showversion },
	{ "vglobal",			&f_opervglobals },
	{ "view-file",			&f_viewfile },
	{ "visual",			&f_visual },
	{ "w",				&f_operwrite },
	{ "w!",				&f_operwrite },
#if (SYS_WINNT&&defined(VILE_OLE))
	{ "wait-file",			&f_waitfile },
#endif
	{ "wall",			&f_writeallbuffers },
	{ "wall!",			&f_writeallbuffers },
#if (OPT_SHOW_WHICH)
	{ "which-exec",			&f_which_exec },
	{ "which-source",		&f_which_source },
#endif
	{ "whole-lines",		&f_godotplus },
#if (SYS_WINNT)
	{ "wincd",			&f_wincd },
	{ "winopen",			&f_winopen },
	{ "winopen-nocd",		&f_winopen_nocd },
#endif
#if (SYS_WINNT&&DISP_NTWIN)
	{ "winpage-setup",		&f_winpg_setup },
	{ "winprint",			&f_winprint },
#endif
#if (SYS_WINNT)
	{ "winsave",			&f_winsave },
	{ "winsave-nocd",		&f_winsave_nocd },
#endif
	{ "wq",				&f_writequit },
	{ "wq!",			&f_writequit },
#if (!SMALLER)
	{ "wrap-word",			&f_wrapword },
#endif
#if (!FEWNAMES)
	{ "write-all-buffers",		&f_writeallbuffers },
	{ "write-changed-buffers",	&f_writeallchanged },
	{ "write-changed-buffers-and-quit", &f_quickexit },
#endif
#if (OPT_SELECTIONS)
	{ "write-encoded-til",		&f_oper_wrenc },
#endif
#if (!FEWNAMES)
	{ "write-file",			&f_filewrite },
	{ "write-file!",		&f_filewrite },
	{ "write-file-and-quit",	&f_writequit },
#endif
#if (!SMALLER)
	{ "write-message",		&f_writemsg },
#endif
#if (!FEWNAMES)
	{ "write-til",			&f_operwrite },
#endif
	{ "ww",				&f_writeallchanged },
	{ "ww!",			&f_writeallchanged },
	{ "wwq",			&f_quickexit },
	{ "x",				&f_quickexit },
	{ "x!",				&f_quickexit },
	{ "xit",			&f_quickexit },
	{ "y",				&f_operlineyank },
#if (!FEWNAMES)
	{ "yank-line",			&f_yankline },
	{ "yank-lines-til",		&f_operlineyank },
	{ "yank-til",			&f_operyank },
#endif
#if (OPT_SHELL)
	{ "|",				&f_vile_filter },
#endif
	{ "~",				&f_operflip },
	{ NULL, NULL }
};

BLIST blist_nametbl = init_blist(nametbl);

EXTERN_CONST NTAB glbstbl[] = {
	{ "#",				&f_opernumber },
	{ "&",				&f_opersubstagain },
	{ "<",				&f_operlshift },
	{ ">",				&f_operrshift },
	{ "L",				&f_operlower },
	{ "Put",			&f_lineputbefore },
	{ "U",				&f_operupper },
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "attribute-bold-til",		&f_operattrbold },
	{ "attribute-cntl_a-sequences-til", &f_operattrcaseq },
#endif
#if (OPT_SELECTIONS&&OPT_FILTER) && (!FEWNAMES)
	{ "attribute-directly",		&f_operattrdirect },
#endif
#if (OPT_SELECTIONS&&OPT_SHELL) && (!FEWNAMES)
	{ "attribute-from-filter-til",  &f_operattrfilter },
#endif
#if (OPT_HYPERTEXT) && (!FEWNAMES)
	{ "attribute-hypertext-til",	&f_operattrhc },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "attribute-italic-til",	&f_operattrital },
	{ "attribute-normal-til",	&f_operattrno },
	{ "attribute-reverse-til",	&f_operattrrev },
	{ "attribute-underline-til",	&f_operattrul },
#endif
	{ "blank",			&f_operblank },
	{ "blank-region",		&f_operblank },
#if (OPT_SELECTIONS)
	{ "clear-attributes-til",	&f_operattrno },
#endif
	{ "d",				&f_operlinedel },
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "decode-attributes-til",	&f_operattrcaseq },
#endif
#if (!FEWNAMES)
	{ "delete-lines-til",		&f_operlinedel },
	{ "detab-lines-til",		&f_operdetab },
#endif
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "encode-attributes-til",	&f_operattrencode },
#endif
#if (!FEWNAMES)
	{ "entab-lines-til",		&f_operentab },
	{ "flip-til",			&f_operflip },
	{ "insert-file",		&f_insfile },
#endif
	{ "j",				&f_operjoin },
	{ "j!",				&f_operjoin_x },
#if (!FEWNAMES)
	{ "join-exact-lines-til",	&f_operjoin_x },
	{ "join-lines-til",		&f_operjoin },
#endif
	{ "l",				&f_operlist },
#if (!FEWNAMES)
	{ "leading-detab-lines-til",	&f_oper_l_detab },
	{ "leading-entab-lines-til",	&f_oper_l_entab },
	{ "list-lines-til",		&f_operlist },
	{ "lower-til",			&f_operlower },
#endif
	{ "nu",				&f_opernumber },
#if (!FEWNAMES)
	{ "number-lines-til",		&f_opernumber },
#endif
	{ "open-rectangle",		&f_operopenrect },
	{ "p",				&f_operprint },
#if (OPT_PERL)
	{ "perl",			&f_perl },
	{ "perldo",			&f_perldo },
	{ "perldo-til",			&f_perldo },
#endif
	{ "pp",				&f_operpprint },
#if (!FEWNAMES)
	{ "print-lines-til",		&f_operprint },
	{ "print-prefixed-lines-til",	&f_operpprint },
#endif
	{ "put",			&f_lineputafter },
#if (!FEWNAMES)
	{ "put-as-lines-after",		&f_lineputafter },
	{ "put-as-lines-before",	&f_lineputbefore },
	{ "put-as-rectangle-after",	&f_rectputafter },
	{ "put-as-rectangle-before",	&f_rectputbefore },
#endif
	{ "r",				&f_insfile },
	{ "rPut",			&f_rectputbefore },
#if (!FEWNAMES)
	{ "read-file",			&f_insfile },
#endif
	{ "rput",			&f_rectputafter },
	{ "s",				&f_opersubst },
#if (OPT_SELECTIONS) && (!FEWNAMES)
	{ "select-til",			&f_operselect },
#endif
#if (!FEWNAMES)
	{ "shift-left-til",		&f_operlshift },
	{ "shift-right-til",		&f_operrshift },
	{ "substitute-again",		&f_subst_again },
	{ "substitute-again-til",	&f_opersubstagain },
	{ "substitute-all-til",		&f_opersubstall },
	{ "substitute-til",		&f_opersubst },
#endif
	{ "trim",			&f_opertrim },
#if (!FEWNAMES)
	{ "trim-lines-til",		&f_opertrim },
	{ "upper-til",			&f_operupper },
#endif
	{ "~",				&f_operflip },
	{ NULL, NULL }
};

BLIST blist_glbstbl = init_blist(glbstbl);

#else

#endif
